diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
index fca004f..5cc599a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
@@ -6,13 +6,12 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
-
+import uuid
 import json
 
 from regression import test_utils as utils
+from regression import parent_node_dict
 from pgadmin.utils.route import BaseTestGenerator
-from regression.test_setup import advanced_config_data
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
@@ -22,104 +21,61 @@ from . import utils as collation_utils
 
 class CollationPutTestCase(BaseTestGenerator):
     """ This class will update added collation under schema node. """
-
     scenarios = [
         # Fetching default URL for collation node.
         ('Fetch collation Node URL', dict(url='/browser/collation/obj/'))
     ]
 
-    @classmethod
-    def setUpClass(cls):
-        """
-        This function perform the three tasks
-         1. Add the test server
-         2. Connect to server
-         3. Add the databases
-         4. Add the schemas
-         5. Add the collations
-
-        :return: None
-        """
-
-        # Firstly, add the server
-        server_utils.add_server(cls.tester)
-        # Connect to server
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-        # Add database
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-        # Add schemas
-        schema_utils.add_schemas(cls.tester)
-        # Add collations
-        collation_utils.add_collation(cls.tester, cls.server_connect_response,
-                                      cls.server_ids)
+    def setUp(self):
+        self.schema_info = parent_node_dict["schema"][-1]
+        self.schema_name = self.schema_info["schema_name"]
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        coll_name = "collation_get_%s" % str(uuid.uuid4())[1:6]
+        self.collation = collation_utils.create_collation(self.server,
+                                                          self.schema_name,
+                                                          coll_name,
+                                                          self.db_name)
 
     def runTest(self):
         """ This function will update collation under schema node. """
-
-        all_id = utils.get_ids()
-        server_ids = all_id["sid"]
-        db_ids_dict = all_id["did"][0]
-        schema_ids_dict = all_id["scid"][0]
-        collation_ids_dict = all_id["coid"][0]
-
-        for server_id in server_ids:
-            db_id = db_ids_dict[int(server_id)]
-            db_con = database_utils.verify_database(self.tester,
-                                                    utils.SERVER_GROUP,
-                                                    server_id, db_id)
-            if db_con['data']["connected"]:
-                schema_info = schema_ids_dict[int(server_id)]
-                schema_response = schema_utils.verify_schemas(self.tester,
-                                                              server_id,
-                                                              db_id,
-                                                              schema_info[0])
-                schema_response = json.loads(
-                    schema_response.data.decode('utf-8'))
-                if len(schema_response) != 0:
-                    collation_id = collation_ids_dict[int(server_id)]
-                    get_response = collation_utils.verify_collation(
-                        self.tester, server_id, db_id, schema_info[0],
-                        collation_id)
-
-                    get_response_data = json.loads(
-                        get_response.data.decode('utf-8'))
-                    if len(get_response_data) == 0:
-                        raise Exception("No collation node to update.")
-
-                    data = {
-                        "description":
-                            advanced_config_data['collation_update_data']
-                            ['comment'],
-                        "id": collation_id,
-                    }
-
-                    put_response = self.tester.put(
-                        self.url + str(utils.SERVER_GROUP) + '/' +
-                        str(server_id) + '/' +
-                        str(db_id) + '/' +
-                        str(schema_info[0]) + '/' +
-                        str(collation_id),
-                        data=json.dumps(data),
-                        follow_redirects=True)
-
-                    self.assertEquals(put_response.status_code, 200)
-
-    @classmethod
-    def tearDownClass(cls):
-        """
-        This function deletes the added collations, schemas, database,
-        server and the 'parent_id.pkl' file which is created in setup()
-        function.
-
-        :return: None
-        """
-
-        collation_utils.delete_collation(cls.tester)
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+        server_id = self.schema_info["server_id"]
+        db_id = self.schema_info["db_id"]
+        # Verify database
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 server_id,
+                                                 db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database.")
+        # Verify schema
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+        # Verify collation
+        coll_name = self.collation[1]
+        collation_response = collation_utils.verify_collation(self.server,
+                                                              self.db_name,
+                                                              coll_name)
+        if not collation_response:
+            raise Exception("Could not find the collation.")
+
+        collation_id = self.collation[0]
+        schema_id = self.schema_info["schema_id"]
+        data = {
+            "description": "This is collation update comment",
+            "id": collation_id
+        }
+        put_response = self.tester.put(self.url + str(utils.SERVER_GROUP) +
+                                       '/' + str(server_id) + '/' + str(db_id)
+                                       + '/' + str(schema_id) + '/' +
+                                       str(collation_id),
+                                       data=json.dumps(data),
+                                       follow_redirects=True)
+        self.assertEquals(put_response.status_code, 200)
+        # Disconnect database to delete it
+        database_utils.disconnect_database(self, server_id, db_id)
+
+    def tearDown(self):
+        pass
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/utils.py
index fe0696a..3919282 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/utils.py
@@ -6,148 +6,52 @@
 # #This software is released under the PostgreSQL Licence
 #
 # ##########################################################################
+from __future__ import print_function
+import traceback
+import sys
 
-import json
-import os
-import pickle
-
-from regression.test_setup import pickle_path, advanced_config_data
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
 from regression import test_utils as utils
 
-COLLATION_URL = '/browser/collation/obj/'
-
-
-def get_collation_config_data(server_connect_data):
-    """This function returns the collation config data"""
-
-    adv_config_data = None
-    data = None
-    db_user = server_connect_data['data']['user']['name']
-
-    # Get the config data of appropriate db user
-    for config_test_data in \
-            advanced_config_data['collation_credentials']:
-        if db_user == config_test_data['owner']:
-            adv_config_data = config_test_data
-
-    if adv_config_data is not None:
-        data = {
-            "copy_collation": adv_config_data['copy_collation'],
-            "name": adv_config_data['name'],
-            "owner": adv_config_data['owner'],
-            "schema": adv_config_data['schema']
-        }
-    return data
 
-
-def write_collation_id(response_data, server_id):
-    """
-    This function writes the server and collation id
-
-    :param response_data: collation response data
-    :type response_data: dict
-    :param server_id: server id
-    :type server_id: int
-    :return: None
-    """
-
-    collation_id = response_data['node']['_id']
-    pickle_id_dict = utils.get_pickle_id_dict()
-    if os.path.isfile(pickle_path):
-        existing_server_id = open(pickle_path, 'rb')
-        tol_server_id = pickle.load(existing_server_id)
-        pickle_id_dict = tol_server_id
-    if 'coid' in pickle_id_dict:
-        if pickle_id_dict['coid']:
-            # Add the db_id as value in dict
-            pickle_id_dict["coid"][0].update(
-                {int(server_id): collation_id})
-        else:
-            # Create new dict with server_id and db_id
-            pickle_id_dict["coid"].append(
-                {int(server_id): collation_id})
-    db_output = open(pickle_path, 'wb')
-    pickle.dump(pickle_id_dict, db_output)
-    db_output.close()
-
-
-def add_collation(tester, server_connect_response, server_ids):
+def create_collation(server, schema_name, coll_name, db_name):
     """This function add the collation to schemas"""
-
-    all_id = utils.get_ids()
-    db_ids_dict = all_id["did"][0]
-    schema_ids_dict = all_id["scid"][0]
-
-    for server_connect_response, server_id in zip(server_connect_response,
-                                                  server_ids):
-        db_id = db_ids_dict[int(server_id)]
-        db_con = database_utils.verify_database(tester, utils.SERVER_GROUP,
-                                                server_id, db_id)
-        if db_con['data']["connected"]:
-            schema_info = schema_ids_dict[int(server_id)]
-            schema_utils.verify_schemas(tester, server_id, db_id,
-                                        schema_info[0])
-            data = get_collation_config_data(server_connect_response)
-            data['schema'] = schema_info[1]
-            response = tester.post(
-                COLLATION_URL + str(utils.SERVER_GROUP) + '/' + str(server_id)
-                + '/' + str(db_id) + '/' + str(schema_info[0]) + '/',
-                data=json.dumps(data), content_type='html/json')
-            response_data = json.loads(response.data.decode('utf-8'))
-            write_collation_id(response_data, server_id)
-
-
-def verify_collation(tester, server_id, db_id, schema_id, collation_id):
-    """This function verifies the collation using GET API"""
-
-    get_response = tester.get(
-        COLLATION_URL + str(utils.SERVER_GROUP) + '/' + str(server_id) + '/' +
-        str(db_id) + '/' + str(schema_id) + '/' + str(collation_id),
-        content_type='html/json')
-
-    return get_response
-
-
-def delete_collation(tester):
-    """This function deletes the collations from schema"""
-
-    all_id = utils.get_ids()
-    server_ids = all_id["sid"]
-    db_ids_dict = all_id["did"][0]
-    schema_ids_dict = all_id["scid"][0]
-    collation_ids_dict = all_id["coid"][0]
-
-    for server_id in server_ids:
-        db_id = db_ids_dict[int(server_id)]
-        db_con = database_utils.verify_database(tester, utils.SERVER_GROUP,
-                                                server_id, db_id)
-        if db_con['data']["connected"]:
-            schema_info = schema_ids_dict[int(server_id)]
-            schema_response = schema_utils.verify_schemas(tester, server_id,
-                                                          db_id,
-                                                          schema_info[0])
-            schema_response = json.loads(schema_response.data.decode('utf-8'))
-            if len(schema_response) != 0:
-                collation_id = collation_ids_dict[int(server_id)]
-                get_response = verify_collation(
-                    tester, server_id, db_id, schema_info[0], collation_id)
-
-                get_response_data = json.loads(
-                    get_response.data.decode('utf-8'))
-                if len(get_response_data) == 0:
-                    raise Exception("No collation node to delete.")
-
-                del_response = tester.delete(
-                    COLLATION_URL + str(utils.SERVER_GROUP) + '/' +
-                    str(server_id) + '/' + str(db_id) + '/' +
-                    str(schema_info[0]) + '/' + str(collation_id),
-                    follow_redirects=True)
-
-                assert del_response.status_code == 200
-                del_response_data = json.loads(
-                    del_response.data.decode('utf-8'))
-                assert del_response_data['success'] == 1
+    try:
+        connection = utils.get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'])
+        pg_cursor = connection.cursor()
+        pg_cursor.execute('CREATE COLLATION %s.%s FROM pg_catalog."POSIX"' %
+                          (schema_name, coll_name))
+        connection.commit()
+
+        # Get 'oid' from newly created database
+        pg_cursor.execute("SELECT coll.oid, coll.collname FROM"
+                          " pg_collation coll WHERE coll.collname='%s'" %
+                          coll_name)
+        collation = pg_cursor.fetchone()
+        connection.close()
+        return collation
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+
+
+def verify_collation(server, db_name, coll_name):
+    """This function verifies the collation is exist or not"""
+    try:
+        connection = utils.get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'])
+        pg_cursor = connection.cursor()
+        # Get 'oid' from newly created database
+        pg_cursor.execute("SELECT coll.oid, coll.collname FROM"
+                          " pg_collation coll WHERE coll.collname='%s'" %
+                          coll_name)
+        collation = pg_cursor.fetchone()
+        connection.close()
+        return collation
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/__init__.py
new file mode 100644
index 0000000..8d3715d
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/__init__.py
@@ -0,0 +1,15 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2016, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+from pgadmin.utils.route import BaseTestGenerator
+
+
+class DomainTestGenerator(BaseTestGenerator):
+    def runTest(self):
+        return
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
new file mode 100644
index 0000000..4428a90
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
@@ -0,0 +1,78 @@
+# #################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2016, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+# ##################################################################
+import uuid
+import json
+
+from regression import test_utils as utils
+from regression import parent_node_dict
+from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+
+
+class DomainAddTestCase(BaseTestGenerator):
+    """ This class will add new domain under schema node. """
+
+    scenarios = [
+        # Fetching default URL for domain node.
+        ('Fetch domain Node URL', dict(url='/browser/domain/obj/'))
+    ]
+
+    def setUp(self):
+        pass
+
+    def runTest(self):
+        """ This function will add domain under schema node. """
+        db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add collation.")
+        schema_id = schema_info["schema_id"]
+        schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      db_name,
+                                                      schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add the collation.")
+
+        data = {
+            "basensp": schema_name,
+            "basetype": "character",
+            "collname": "pg_catalog.\"POSIX\"",
+            "constraints": [{
+                "conname": "num",
+                "convalidated": True
+            }],
+            "is_tlength": True,
+            "max_val": 2147483647,
+            "min_val": 1,
+            "name": "domain_add_%s" % (str(uuid.uuid4())[1:6]),
+            "owner": self.server["username"],
+            "seclabels": [],
+            "typdefault": "1",
+            "typlen": "10"
+        }
+        # Call POST API to add domain
+        response = self.tester.post(self.url + str(utils.SERVER_GROUP) + '/' +
+                                    str(self.server_id) + '/' + str(
+            self.db_id) +
+                                    '/' + str(schema_id) + '/',
+                                    data=json.dumps(data),
+                                    content_type='html/json')
+        self.assertEquals(response.status_code, 200)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py
new file mode 100644
index 0000000..61ffa7f
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py
@@ -0,0 +1,69 @@
+# #################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2016, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+# ##################################################################
+import uuid
+
+from regression import test_utils as utils
+from regression import parent_node_dict
+from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from . import utils as domain_utils
+
+
+class DomainDeleteTestCase(BaseTestGenerator):
+    """ This class will delete new domain under schema node. """
+    scenarios = [
+        # Fetching default URL for domain node.
+        ('Fetch domain Node URL', dict(url='/browser/domain/delete/'))
+    ]
+
+    def setUp(self):
+        self.database_info = parent_node_dict["database"][-1]
+        self.db_name = self.database_info["db_name"]
+        self.schema_info = parent_node_dict["schema"][-1]
+        self.schema_name = self.schema_info["schema_name"]
+        self.schema_id = self.schema_info["schema_id"]
+        self.domain_name = "domain_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.domain_info = domain_utils.create_domain(self.server,
+                                                      self.db_name,
+                                                      self.schema_name,
+                                                      self.schema_id,
+                                                      self.domain_name)
+
+    def runTest(self):
+        """ This function will add domain under schema node. """
+        db_id = self.database_info["db_id"]
+        server_id = self.database_info["server_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 server_id, db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to get the domain.")
+        db_name = self.database_info["db_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to get the domain.")
+        domain_id = self.domain_info[0]
+        # Call GET API to verify the domain
+        get_response = self.tester.delete(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(domain_id),
+            content_type='html/json')
+        self.assertEquals(get_response.status_code, 200)
+        # Disconnect the database
+        database_utils.disconnect_database(self, server_id, db_id)
+
+    def tearDown(self):
+        pass
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py
new file mode 100644
index 0000000..49a1f1e
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py
@@ -0,0 +1,69 @@
+# #################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2016, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+# ##################################################################
+import uuid
+
+from regression import test_utils as utils
+from regression import parent_node_dict
+from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from . import utils as domain_utils
+
+
+class DomainGetTestCase(BaseTestGenerator):
+    """ This class will fetch new collation under schema node. """
+    scenarios = [
+        # Fetching default URL for domain node.
+        ('Fetch domain Node URL', dict(url='/browser/domain/obj/'))
+    ]
+
+    def setUp(self):
+        self.database_info = parent_node_dict["database"][-1]
+        self.db_name = self.database_info["db_name"]
+        self.schema_info = parent_node_dict["schema"][-1]
+        self.schema_name = self.schema_info["schema_name"]
+        self.schema_id = self.schema_info["schema_id"]
+        self.domain_name = "domain_get_%s" % (str(uuid.uuid4())[1:6])
+        self.domain_info = domain_utils.create_domain(self.server,
+                                                      self.db_name,
+                                                      self.schema_name,
+                                                      self.schema_id,
+                                                      self.domain_name)
+
+    def runTest(self):
+        """ This function will add domain under schema node. """
+        db_id = self.database_info["db_id"]
+        server_id = self.database_info["server_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 server_id, db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to get the domain.")
+        db_name = self.database_info["db_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to get the domain.")
+        domain_id = self.domain_info[0]
+        # Call GET API to verify the domain
+        get_response = self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(domain_id),
+            content_type='html/json')
+        self.assertEquals(get_response.status_code, 200)
+        # Disconnect the database
+        database_utils.disconnect_database(self, server_id, db_id)
+
+    def tearDown(self):
+        pass
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_put.py
new file mode 100644
index 0000000..1537f05
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_put.py
@@ -0,0 +1,79 @@
+# #################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2016, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+# ##################################################################
+import uuid
+import json
+
+from regression import test_utils as utils
+from regression import parent_node_dict
+from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from . import utils as domain_utils
+
+
+class DomainPutTestCase(BaseTestGenerator):
+    """ This class will fetch new collation under schema node. """
+    scenarios = [
+        # Fetching default URL for domain node.
+        ('Fetch domain Node URL', dict(url='/browser/domain/obj/'))
+    ]
+
+    def setUp(self):
+        self.database_info = parent_node_dict["database"][-1]
+        self.db_name = self.database_info["db_name"]
+        self.schema_info = parent_node_dict["schema"][-1]
+        self.schema_name = self.schema_info["schema_name"]
+        self.schema_id = self.schema_info["schema_id"]
+        self.domain_name = "domain_put_%s" % (str(uuid.uuid4())[1:6])
+        self.domain_info = domain_utils.create_domain(self.server,
+                                                      self.db_name,
+                                                      self.schema_name,
+                                                      self.schema_id,
+                                                      self.domain_name)
+
+    def runTest(self):
+        """ This function will update domain under schema node. """
+        db_id = self.database_info["db_id"]
+        server_id = self.database_info["server_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 server_id, db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to get the domain.")
+        db_name = self.database_info["db_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to get the domain.")
+        domain_response = domain_utils.verify_domain(self.server,
+                                                     db_name,
+                                                     self.schema_id,
+                                                     self.domain_name)
+        if not domain_response:
+            raise Exception("Could not find the domain to update.")
+        domain_id = self.domain_info[0]
+        data = {"description": "This is domain update comment",
+                "id": domain_id,
+                }
+        response = self.tester.put(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(domain_id),
+            data=json.dumps(data),
+            follow_redirects=True)
+        self.assertEquals(response.status_code, 200)
+        # Disconnect the database
+        database_utils.disconnect_database(self, server_id, db_id)
+
+    def tearDown(self):
+        pass
